VERSION 5.00
Begin VB.Form frmViewAPIs 
   BorderStyle     =   1  'Fixed Single
   Caption         =   "View API's"
   ClientHeight    =   4305
   ClientLeft      =   45
   ClientTop       =   330
   ClientWidth     =   3900
   Icon            =   "API View.frx":0000
   LinkTopic       =   "Form1"
   MaxButton       =   0   'False
   MinButton       =   0   'False
   ScaleHeight     =   4305
   ScaleWidth      =   3900
   StartUpPosition =   3  'Windows Default
   Begin VB.CommandButton cmdFind 
      Caption         =   "Find..."
      Height          =   375
      Left            =   2040
      TabIndex        =   2
      Top             =   3840
      Width           =   1695
   End
   Begin VB.CommandButton cmdViewAPIs 
      Caption         =   "Open DLL File..."
      Height          =   375
      Left            =   120
      TabIndex        =   1
      Top             =   3840
      Width           =   1695
   End
   Begin VB.ListBox lstAPIs 
      Height          =   2985
      Left            =   120
      TabIndex        =   0
      Top             =   720
      Width           =   3615
   End
   Begin VB.Image imgBanner 
      Appearance      =   0  'Flat
      Height          =   600
      Left            =   0
      MouseIcon       =   "API View.frx":0ABA
      MousePointer    =   99  'Custom
      Picture         =   "API View.frx":0F04
      Top             =   0
      Width           =   3900
   End
End
Attribute VB_Name = "frmViewAPIs"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
Option Explicit

'==================================================================
'
' API Viewer Dialog Window
'
' 29 September 2001
'
' You're free in using this software, as long as the
' orignal copyright/author information remains intact.
' In other words, respecting the person(s) who made it
' possible for you to view/learn something of this software.
'
' Copyright  2001 - Diederik van der Boor
' http://www.codingdomain.com
'
'==================================================================



Private PathInfo As New FilePathInfo
Private WithEvents DllFile As ApiEnumeration
Attribute DllFile.VB_VarHelpID = -1

'------------------------------------------------------------------

Private Sub Form_Initialize()
  Set DllFile = New ApiEnumeration ' Can't be set within a WithEvens declaration
End Sub

'------------------------------------------------------------------
' Buttons

Private Sub cmdViewAPIs_Click()
  Dim Api As Variant
  Dim ApiList As Variant
  Static FileName As String
  
  ' Get Filename
  If FileName = "" Then FileName = PathInfo.SystemDir & "shell32.dll"
  FileName = InputBox("Enter DLL file.", "DLL APIs", FileName)
  
  ' Start enumeration
  On Error Resume Next
    lstAPIs.Clear
    Call DllFile.EnumAPIs(FileName)
    If Err.Number <> 0 Then MsgBox Err.Description, vbExclamation + vbMsgBoxSetForeground, "API call: " & Err.Source
  On Error GoTo 0
  
  ' Done
  Me.Caption = App.Title & " " & lstAPIs.ListCount & " Api's"
End Sub


'------------------------------------------------------------------
' Event by Enumeration

Private Sub DllFile_GotApi(Name As String, ContinueEnum As Boolean)
  Call lstAPIs.AddItem(Name & "(...)")
  ContinueEnum = True
End Sub


'------------------------------------------------------------------
' Search through the list box

Private Sub cmdFind_Click()
  Dim I As Long
  Dim Start As Integer
  Static FindWhat As String
  
  FindWhat = InputBox("Enter Find Text.", "DLL APIs", FindWhat)
  Start = lstAPIs.ListIndex
  
  For I = Start + 1 To lstAPIs.ListCount - 1
    If InStr(1, lstAPIs.List(I), FindWhat, vbTextCompare) Then
      lstAPIs.ListIndex = I
      Exit Sub
    End If
  Next
  For I = 0 To Start
    If InStr(1, lstAPIs.List(I), FindWhat, vbTextCompare) Then
      lstAPIs.ListIndex = I
      Exit Sub
    End If
  Next
  
  MsgBox "Seach text was not found!", vbExclamation, "DLL APIs"
End Sub



'------------------------------------------------------------------
' Banner

Private Sub imgBanner_Click()
  MsgBox "Copyright  2001 - Diederik van der Boor" & vbCrLf _
       & vbCrLf _
       & "Anyone is allowed to use this software freely, as long as" & vbCrLf _
       & "the the copright information in the source code remains intact." & vbCrLf _
       & vbCrLf _
       & "http://www.codingdomain.com"
End Sub
